﻿Imports System
Imports System.Diagnostics

Namespace Logging
    Module program

        Sub Main()
            Console.WriteLine("Beispiel 16")
            Console.WriteLine("")

            Dim loggingSource As TraceSource = New TraceSource("MeineTraceSource")

            loggingSource.TraceInformation("Logging: Eintrag mit TraceInformation")
            loggingSource.TraceInformation("Logging: Eintrag mit TraceInformation")
            loggingSource.TraceEvent(TraceEventType.Information, 1, "Logging: Eintrag mit TraceEvent/Information")
            loggingSource.TraceEvent(TraceEventType.Verbose, 2, "Logging: Eintrag mit TraceEvent/Verbose")
            loggingSource.TraceEvent(TraceEventType.Warning, 3, "Logging: Eintrag mit TraceEvent/Warning" + Environment.NewLine + "und Zeilenumbruch")

            Try
                Dim i As Integer = 0
                Dim r As Integer = 5
            Catch ex As Exception
                loggingSource.TraceData(TraceEventType.Critical, 4, ex)
                loggingSource.TraceData(TraceEventType.Error, 5, New Object() {ex, loggingSource, New DateTime(DateTime.Now.Ticks)})
            End Try

            loggingSource.TraceTransfer(6, "Logging: Eintrag mit TraceTransfer", Guid.NewGuid())

            loggingSource.Close()

            Console.ReadLine()
        End Sub

    End Module
End Namespace
