﻿Imports System
Imports System.Diagnostics

Namespace Logging
    Module program

        Sub Main()
            Dim listener As BlogTraceListener = New BlogTraceListener("C:\\Temp\\TraceFile-{0}-{1}-{2:D8}-{3:D8}.log;T,FIX")
            Trace.Listeners.Add(listener)
            Trace.Listeners.Remove("Default")
            Trace.AutoFlush = True

            Console.WriteLine("Beispiel 17")

            Dim traceSwitch As TraceSwitch = New TraceSwitch("MeinSchalter", "Ablaufprotokollierung mit Schalter")
            traceSwitch.Level = TraceLevel.Info

            Trace.WriteLine("Beispiel 17 gestartet: " + DateTime.Now.ToString())
            Trace.Write("=========================================")

            Trace.WriteLineIf(traceSwitch.TraceError, "Logging: Eintrag mit TraceLevel Error")
            Trace.WriteLineIf(traceSwitch.TraceWarning, "Logging: Eintrag mit TraceLevel Warning")
            Trace.WriteLineIf(traceSwitch.TraceInfo, "Logging: Eintrag mit TraceLevel Info")
            Trace.WriteLineIf(traceSwitch.TraceVerbose, "Logging: Eintrag mit TraceLevel Verbose")

            Console.ReadLine()
        End Sub

    End Module
End Namespace
